import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.guardrails.getGuardrails({});
console.log(result);
}
run();{
"object": "guardrails_settings",
"guardrails": [
{
"mode": "ban_words",
"enabled": true,
"config": {
"words": [
"spam"
]
}
},
{
"mode": "prompt_injection",
"enabled": true,
"config": {
"threshold": 0.8
}
}
]
}Retrieve the current guardrails configuration for the authenticated user. Returns all configured guardrails including ban words, prompt injection detection, and leakage detection settings.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.guardrails.getGuardrails({});
console.log(result);
}
run();{
"object": "guardrails_settings",
"guardrails": [
{
"mode": "ban_words",
"enabled": true,
"config": {
"words": [
"spam"
]
}
},
{
"mode": "prompt_injection",
"enabled": true,
"config": {
"threshold": 0.8
}
}
]
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Was this page helpful?